igeo

## Class ITensionLineOnCurve

- java.lang.Object
- - igeo.IObject
  - - igeo.IGeometry
    - - igeo.ICurve
      - - igeo.ITensionLineOnCurve

- All Implemented Interfaces:
    ICurveI, ICurveOp, IParameter, ITensionI, ITransformable, IVal

      public class ITensionLineOnCurve
      extends ICurve
      implements ITensionI

  Class of IDynamicObject to simulate tension force between two particles.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ITensionOnCurve` | `tension`

    - ### Fields inherited from class igeo.ICurve

      `curve`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

    - ### Fields inherited from interface igeo.ITensionI

      `defaultTension`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITensionLineOnCurve(IParticleOnCurveI p1, IParticleOnCurveI p2)`
    `ITensionLineOnCurve(IParticleOnCurveI p1, IParticleOnCurveI p2, double tension)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITensionLineOnCurve` | `attr(IAttribute at)` set attributes
    `ITensionLineOnCurve` | `clr(java.awt.Color c)`
    `ITensionLineOnCurve` | `clr(java.awt.Color c, double alpha)`
    `ITensionLineOnCurve` | `clr(java.awt.Color c, float alpha)`
    `ITensionLineOnCurve` | `clr(java.awt.Color c, int alpha)`
    `ITensionLineOnCurve` | `clr(double dgray)`
    `ITensionLineOnCurve` | `clr(double dgray, double dalpha)`
    `ITensionLineOnCurve` | `clr(double dr, double dg, double db)`
    `ITensionLineOnCurve` | `clr(double dr, double dg, double db, double da)`
    `ITensionLineOnCurve` | `clr(float fgray)`
    `ITensionLineOnCurve` | `clr(float fgray, float falpha)`
    `ITensionLineOnCurve` | `clr(float fr, float fg, float fb)`
    `ITensionLineOnCurve` | `clr(float fr, float fg, float fb, float fa)`
    `ITensionLineOnCurve` | `clr(IColor c)` to set an object color
    `ITensionLineOnCurve` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `ITensionLineOnCurve` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `ITensionLineOnCurve` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `ITensionLineOnCurve` | `clr(int gray)`
    `ITensionLineOnCurve` | `clr(int gray, int alpha)`
    `ITensionLineOnCurve` | `clr(int r, int g, int b)`
    `ITensionLineOnCurve` | `clr(int r, int g, int b, int a)`
    `ITensionLineOnCurve` | `clr(IObject o)` to set the same color with the object
    `boolean` | `constant()` if constantTension is true, amount of force is always constant and it's equals to tension.
    `ITensionLineOnCurve` | `constant(boolean cnst)` if constantTension is true, amount of force is always constant and it's equals to tension.
    `ITensionLineOnCurve` | `hide()`
    `ITensionLineOnCurve` | `hsb(double h, double s, double b)`
    `ITensionLineOnCurve` | `hsb(double h, double s, double b, double a)`
    `ITensionLineOnCurve` | `hsb(float h, float s, float b)`
    `ITensionLineOnCurve` | `hsb(float h, float s, float b, float a)`
    `void` | `initTensionLine(IParticleOnCurveI p1, IParticleOnCurveI p2)`
    `ITensionLineOnCurve` | `layer(ILayer l)` Set layer by ILayer object
    `ITensionLineOnCurve` | `layer(java.lang.String l)` Set layer by layer name.
    `double` | `maxTension()` if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension.
    `ITensionLineOnCurve` | `maxTension(double maxTension)` if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.
    `ITensionLineOnCurve` | `name(java.lang.String nm)` IObject methods
    `IParticleI` | `particle(int i)` alias of pt(int)
    `IParticleI` | `particle1()` alias of pt1()
    `IParticleI` | `particle2()` alias of pt2()
    `IVec` | `pos(int i)` position of particle(i)
    `IVec` | `pos1()` position of particle1
    `IVec` | `pos2()` position of particle1
    `IParticleI` | `pt(int i)` getting end point.
    `IParticleI` | `pt1()` getting end point1.
    `IParticleI` | `pt2()` getting end point2.
    `ITensionLineOnCurve` | `setColor(java.awt.Color c)`
    `ITensionLineOnCurve` | `setColor(java.awt.Color c, double alpha)`
    `ITensionLineOnCurve` | `setColor(java.awt.Color c, float alpha)`
    `ITensionLineOnCurve` | `setColor(java.awt.Color c, int alpha)`
    `ITensionLineOnCurve` | `setColor(double dgray)`
    `ITensionLineOnCurve` | `setColor(double dgray, double dalpha)`
    `ITensionLineOnCurve` | `setColor(double dr, double dg, double db)`
    `ITensionLineOnCurve` | `setColor(double dr, double dg, double db, double da)`
    `ITensionLineOnCurve` | `setColor(float fgray)`
    `ITensionLineOnCurve` | `setColor(float fgray, float falpha)`
    `ITensionLineOnCurve` | `setColor(float fr, float fg, float fb)`
    `ITensionLineOnCurve` | `setColor(float fr, float fg, float fb, float fa)`
    `ITensionLineOnCurve` | `setColor(IColor c)`
    `ITensionLineOnCurve` | `setColor(IColor c, double alpha)`
    `ITensionLineOnCurve` | `setColor(IColor c, float alpha)`
    `ITensionLineOnCurve` | `setColor(IColor c, int alpha)`
    `ITensionLineOnCurve` | `setColor(int gray)`
    `ITensionLineOnCurve` | `setColor(int gray, int alpha)`
    `ITensionLineOnCurve` | `setColor(int r, int g, int b)`
    `ITensionLineOnCurve` | `setColor(int r, int g, int b, int a)`
    `ITensionLineOnCurve` | `setHSBColor(double h, double s, double b)`
    `ITensionLineOnCurve` | `setHSBColor(double h, double s, double b, double a)`
    `ITensionLineOnCurve` | `setHSBColor(float h, float s, float b)`
    `ITensionLineOnCurve` | `setHSBColor(float h, float s, float b, float a)`
    `ITensionLineOnCurve` | `show()`
    `double` | `tension()` tension is a coefficient to convert distance of two points to amount of force.
    `ITensionLineOnCurve` | `tension(double tensionIntensity)` tension is a coefficient to convert distance of two points to amount of force.
    `ITensionLineOnCurve` | `weight(double w)`
    `ITensionLineOnCurve` | `weight(float w)`

    - ### Methods inherited from class igeo.ICurve

      `add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, addCP, addCP, addCP, addCP, center, closePt, closePt, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, dist, dist, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, flipU, get, initCurve, insertCP, insertCP, intersectPlane, intersectPlane, isClosed, isClosed, isClosed, isInside2d, isInside2d, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, len, len, len, mid, mirror, mirror, mul, mul, mv, mv, mv, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, revU, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, u, u, u, u, u, u, uend, uend, uend, ustart, ustart, ustart`

    - ### Methods inherited from class igeo.IObject

      `addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tension

          public ITensionOnCurve tension

  - ### Constructor Detail

    - #### ITensionLineOnCurve

          public ITensionLineOnCurve(IParticleOnCurveI p1,
                             IParticleOnCurveI p2)

    - #### ITensionLineOnCurve

          public ITensionLineOnCurve(IParticleOnCurveI p1,
                             IParticleOnCurveI p2,
                             double tension)

  - ### Method Detail

    - #### initTensionLine

          public void initTensionLine(IParticleOnCurveI p1,
                             IParticleOnCurveI p2)

    - #### tension

          public double tension()

      Description copied from interface: `ITensionI`
      tension is a coefficient to convert distance of two points to amount of force.
      Specified by:
        `tension` in interface `ITensionI`

    - #### tension

          public ITensionLineOnCurve tension(double tensionIntensity)

      Description copied from interface: `ITensionI`
      tension is a coefficient to convert distance of two points to amount of force.
      Specified by:
        `tension` in interface `ITensionI`

    - #### constant

          public boolean constant()

      Description copied from interface: `ITensionI`
      if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.
      Specified by:
        `constant` in interface `ITensionI`

    - #### constant

          public ITensionLineOnCurve constant(boolean cnst)

      Description copied from interface: `ITensionI`
      if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.
      Specified by:
        `constant` in interface `ITensionI`

    - #### maxTension

          public double maxTension()

      if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension. if constant is set, maxTension is ignored.
      Specified by:
        `maxTension` in interface `ITensionI`

    - #### maxTension

          public ITensionLineOnCurve maxTension(double maxTension)

      if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.
      Specified by:
        `maxTension` in interface `ITensionI`

    - #### pt

          public IParticleI pt(int i)

      getting end point. i==0 or i==1
      Specified by:
        `pt` in interface `ITensionI`

    - #### particle

          public IParticleI particle(int i)

      alias of pt(int)
      Specified by:
        `particle` in interface `ITensionI`

    - #### pos

          public IVec pos(int i)

      position of particle(i)
      Specified by:
        `pos` in interface `ITensionI`

    - #### pt1

          public IParticleI pt1()

      getting end point1.
      Specified by:
        `pt1` in interface `ITensionI`

    - #### particle1

          public IParticleI particle1()

      alias of pt1()
      Specified by:
        `particle1` in interface `ITensionI`

    - #### pos1

          public IVec pos1()

      position of particle1
      Specified by:
        `pos1` in interface `ITensionI`

    - #### pt2

          public IParticleI pt2()

      getting end point2.
      Specified by:
        `pt2` in interface `ITensionI`

    - #### particle2

          public IParticleI particle2()

      alias of pt2()
      Specified by:
        `particle2` in interface `ITensionI`

    - #### pos2

          public IVec pos2()

      position of particle1
      Specified by:
        `pos2` in interface `ITensionI`

    - #### name

          public ITensionLineOnCurve name(java.lang.String nm)

      IObject methods
      Overrides:
        `name` in class `ICurve`

    - #### layer

          public ITensionLineOnCurve layer(ILayer l)

      Description copied from class: `IGeometry`
      Set layer by ILayer object
      Overrides:
        `layer` in class `ICurve`

    - #### layer

          public ITensionLineOnCurve layer(java.lang.String l)

      Description copied from class: `IGeometry`
      Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server
      Overrides:
        `layer` in class `ICurve`

    - #### attr

          public ITensionLineOnCurve attr(IAttribute at)

      Description copied from class: `IObject`
      set attributes
      Overrides:
        `attr` in class `ICurve`

    - #### hide

          public ITensionLineOnCurve hide()

      Overrides:
        `hide` in class `ICurve`

    - #### show

          public ITensionLineOnCurve show()

      Overrides:
        `show` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(IColor c,
                                int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(IColor c,
                                float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(IColor c,
                                double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(java.awt.Color c)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(java.awt.Color c,
                                int alpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(java.awt.Color c,
                                float alpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(java.awt.Color c,
                                double alpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(int gray)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(float fgray)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(double dgray)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(int gray,
                                int alpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(float fgray,
                                float falpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(double dgray,
                                double dalpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(int r,
                                int g,
                                int b)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(float fr,
                                float fg,
                                float fb)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(double dr,
                                double dg,
                                double db)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(int r,
                                int g,
                                int b,
                                int a)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(float fr,
                                float fg,
                                float fb,
                                float fa)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ITensionLineOnCurve clr(double dr,
                                double dg,
                                double db,
                                double da)

      Overrides:
        `clr` in class `ICurve`

    - #### hsb

          public ITensionLineOnCurve hsb(float h,
                                float s,
                                float b,
                                float a)

      Overrides:
        `hsb` in class `ICurve`

    - #### hsb

          public ITensionLineOnCurve hsb(double h,
                                double s,
                                double b,
                                double a)

      Overrides:
        `hsb` in class `ICurve`

    - #### hsb

          public ITensionLineOnCurve hsb(float h,
                                float s,
                                float b)

      Overrides:
        `hsb` in class `ICurve`

    - #### hsb

          public ITensionLineOnCurve hsb(double h,
                                double s,
                                double b)

      Overrides:
        `hsb` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(IColor c)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(IColor c,
                                     int alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(IColor c,
                                     float alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(IColor c,
                                     double alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(java.awt.Color c,
                                     int alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(java.awt.Color c,
                                     float alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(java.awt.Color c,
                                     double alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(int gray)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(float fgray)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(double dgray)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(int gray,
                                     int alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(float fgray,
                                     float falpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(double dgray,
                                     double dalpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(int r,
                                     int g,
                                     int b)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(float fr,
                                     float fg,
                                     float fb)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(double dr,
                                     double dg,
                                     double db)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(int r,
                                     int g,
                                     int b,
                                     int a)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(float fr,
                                     float fg,
                                     float fb,
                                     float fa)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ITensionLineOnCurve setColor(double dr,
                                     double dg,
                                     double db,
                                     double da)

      Overrides:
        `setColor` in class `ICurve`

    - #### setHSBColor

          public ITensionLineOnCurve setHSBColor(float h,
                                        float s,
                                        float b,
                                        float a)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### setHSBColor

          public ITensionLineOnCurve setHSBColor(double h,
                                        double s,
                                        double b,
                                        double a)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### setHSBColor

          public ITensionLineOnCurve setHSBColor(float h,
                                        float s,
                                        float b)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### setHSBColor

          public ITensionLineOnCurve setHSBColor(double h,
                                        double s,
                                        double b)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### weight

          public ITensionLineOnCurve weight(double w)

      Overrides:
        `weight` in class `ICurve`

    - #### weight

          public ITensionLineOnCurve weight(float w)

      Overrides:
        `weight` in class `ICurve`